Index: /trunk/include/FlairCore/RTDM_I2cPort.h
===================================================================
--- /trunk/include/FlairCore/RTDM_I2cPort.h	(revision 12)
+++ /trunk/include/FlairCore/RTDM_I2cPort.h	(revision 13)
@@ -16,88 +16,85 @@
 #include <I2cPort.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class RTDM_I2cPort
-    *
-    * \brief Class for real time i2c port using RTDM
-    *
-    * This class can only be used with the real time version of Framework library.
-    *
-    */
-    class RTDM_I2cPort: public I2cPort
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an RTDM i2c port, with the following default values: \n
-            * - 400kbits baudrate \n
-            * - 500000ns RX timeout \n
-            * - 1000000ns TX timeout
-            *
-            * \param parent parent
-            * \param name name
-            * \param device i2c device (ex rti2c1)
-            */
-            RTDM_I2cPort(const Object* parent,std::string name,std::string device);
+namespace flair {
+namespace core {
+/*! \class RTDM_I2cPort
+*
+* \brief Class for real time i2c port using RTDM
+*
+* This class can only be used with the real time version of Framework library.
+*
+*/
+class RTDM_I2cPort : public I2cPort {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an RTDM i2c port, with the following default values: \n
+  * - 400kbits baudrate \n
+  * - 500000ns RX timeout \n
+  * - 1000000ns TX timeout
+  *
+  * \param parent parent
+  * \param name name
+  * \param device i2c device (ex rti2c1)
+  */
+  RTDM_I2cPort(const Object *parent, std::string name, std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~RTDM_I2cPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~RTDM_I2cPort();
 
-            /*!
-            * \brief Set slave's address
-            *
-            * This method need to be called before any communication.
-            *
-            * \param address slave's address
-            */
-            int SetSlave(uint16_t address);
+  /*!
+  * \brief Set slave's address
+  *
+  * This method need to be called before any communication.
+  *
+  * \param address slave's address
+  */
+  int SetSlave(uint16_t address);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Set TX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetTxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set TX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetTxTimeout(Time timeout_ns);
 
-        private:
-            int fd;
-    };
+private:
+  int fd;
+};
 } // end namespace core
 } // end namespace flair
Index: /trunk/include/FlairCore/RTDM_SerialPort.h
===================================================================
--- /trunk/include/FlairCore/RTDM_SerialPort.h	(revision 12)
+++ /trunk/include/FlairCore/RTDM_SerialPort.h	(revision 13)
@@ -16,83 +16,81 @@
 #include <SerialPort.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class RTDM_SerialPort
-    *
-    * \brief Class for real time serial port using RTDM
-    *
-    * This class can only be used with the real time version of Framework library.
-    *
-    */
-    class RTDM_SerialPort: public SerialPort
-    {
+namespace flair {
+namespace core {
+/*! \class RTDM_SerialPort
+*
+* \brief Class for real time serial port using RTDM
+*
+* This class can only be used with the real time version of Framework library.
+*
+*/
+class RTDM_SerialPort : public SerialPort {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an RTDM serial port, with the following default values: \n
-            * - 115200bps baudrate
-            *
-            * \param parent parent
-            * \param name name
-            * \param device serial device (ex rtser1)
-            */
-            RTDM_SerialPort(const Object* parent,std::string port_name,std::string device);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an RTDM serial port, with the following default values: \n
+  * - 115200bps baudrate
+  *
+  * \param parent parent
+  * \param name name
+  * \param device serial device (ex rtser1)
+  */
+  RTDM_SerialPort(const Object *parent, std::string port_name,
+                  std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~RTDM_SerialPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~RTDM_SerialPort();
 
-            /*!
-            * \brief Set baudrate
-            *
-            * \param baudrate baudrate
-            *
-            */
-            void SetBaudrate(int baudrate);
+  /*!
+  * \brief Set baudrate
+  *
+  * \param baudrate baudrate
+  *
+  */
+  void SetBaudrate(int baudrate);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting datas.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting datas.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-            /*!
-            * \brief Flush input datas
-            *
-            */
-            void FlushInput(void);
+  /*!
+  * \brief Flush input datas
+  *
+  */
+  void FlushInput(void);
 
-        private:
-            int fd;
-    };
+private:
+  int fd;
+};
 } // end namespace core
 } // end namespace flair
Index: /trunk/include/FlairCore/RangeFinderPlot.h
===================================================================
--- /trunk/include/FlairCore/RangeFinderPlot.h	(revision 12)
+++ /trunk/include/FlairCore/RangeFinderPlot.h	(revision 13)
@@ -5,5 +5,6 @@
 /*!
  * \file RangeFinderPlot.h
- * \brief Class displaying a 2D plot on the ground station for laser range finder like Hokuyo
+ * \brief Class displaying a 2D plot on the ground station for laser range
+ * finder like Hokuyo
  * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
  * \date 2014/07/23
@@ -17,77 +18,75 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
 }
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class RangeFinderPlot
-    *
-    * \brief Class displaying a 2D plot on the ground station for laser range finder like Hokuyo
-    *
-    */
-    class RangeFinderPlot: public SendData
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a 2D plot at given position. \n
-            * The RangeFinderPlot will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param position position to display the plot
-            * \param name name
-            * \param x_name name of x axis
-            * \param xmin default xmin of the plot
-            * \param xmax default xmax of the plot
-            * \param y_name name of y axis
-            * \param ymin default ymin of the plot
-            * \param ymax default ymax of the plot
-            * \param datas laser datas
-            * \param start_angle start angle of the laser
-            * \param end_angle end angle of the laser
-            * \param nb_samples number of samples
-            */
-            RangeFinderPlot(const LayoutPosition* position,std::string name,
-                            std::string x_name,float xmin,float xmax,
-                            std::string y_name,float ymin,float ymax,
-                            const core::cvmatrix* datas,float start_angle,float end_angle,uint32_t nb_samples);
+/*! \class RangeFinderPlot
+*
+* \brief Class displaying a 2D plot on the ground station for laser range finder
+*like Hokuyo
+*
+*/
+class RangeFinderPlot : public SendData {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a 2D plot at given position. \n
+  * The RangeFinderPlot will automatically be child of position->getLayout()
+  *Layout. After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param position position to display the plot
+  * \param name name
+  * \param x_name name of x axis
+  * \param xmin default xmin of the plot
+  * \param xmax default xmax of the plot
+  * \param y_name name of y axis
+  * \param ymin default ymin of the plot
+  * \param ymax default ymax of the plot
+  * \param datas laser datas
+  * \param start_angle start angle of the laser
+  * \param end_angle end angle of the laser
+  * \param nb_samples number of samples
+  */
+  RangeFinderPlot(const LayoutPosition *position, std::string name,
+                  std::string x_name, float xmin, float xmax,
+                  std::string y_name, float ymin, float ymax,
+                  const core::cvmatrix *datas, float start_angle,
+                  float end_angle, uint32_t nb_samples);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~RangeFinderPlot();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~RangeFinderPlot();
 
-        private:
-            /*!
-            * \brief Copy datas to specified buffer
-            *
-            * Reimplemented from SendData.
-            *
-            * \param buf output buffer
-            */
-            void CopyDatas(char* buf) const;
+private:
+  /*!
+  * \brief Copy datas to specified buffer
+  *
+  * Reimplemented from SendData.
+  *
+  * \param buf output buffer
+  */
+  void CopyDatas(char *buf) const;
 
-            /*!
-            * \brief Extra Xml event
-            *
-            * Reimplemented from SendData.
-            */
-            void ExtraXmlEvent(void){};
+  /*!
+  * \brief Extra Xml event
+  *
+  * Reimplemented from SendData.
+  */
+  void ExtraXmlEvent(void){};
 
-            const core::cvmatrix* datas;
-    };
+  const core::cvmatrix *datas;
+};
 
 } // end namespace gui
Index: /trunk/include/FlairCore/SendData.h
===================================================================
--- /trunk/include/FlairCore/SendData.h	(revision 12)
+++ /trunk/include/FlairCore/SendData.h	(revision 13)
@@ -18,80 +18,78 @@
 class SendData_impl;
 
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+namespace flair {
+namespace gui {
+class LayoutPosition;
 
-    /*! \class SendData
-    *
-    * \brief Abstract class for sending datas to ground station
-    *
-    */
-    class SendData: public Widget
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            */
-            SendData(const LayoutPosition* position,std::string name,std::string type,uint16_t default_periodms=100,bool default_enabled=false);
+/*! \class SendData
+*
+* \brief Abstract class for sending datas to ground station
+*
+*/
+class SendData : public Widget {
+public:
+  /*!
+  * \brief Constructor
+  *
+  */
+  SendData(const LayoutPosition *position, std::string name, std::string type,
+           uint16_t default_periodms = 100, bool default_enabled = false);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            virtual ~SendData();
+  /*!
+  * \brief Destructor
+  *
+  */
+  virtual ~SendData();
 
-            /*!
-            * \brief Copy datas to specified buffer
-            *
-            * This method must be reimplemented, in order to send datas to ground station.
-            *
-            * \param buf output buffer
-            */
-            virtual void CopyDatas(char* buf) const =0;
+  /*!
+  * \brief Copy datas to specified buffer
+  *
+  * This method must be reimplemented, in order to send datas to ground station.
+  *
+  * \param buf output buffer
+  */
+  virtual void CopyDatas(char *buf) const = 0;
 
-            size_t SendSize(void) const;
-            uint16_t SendPeriod(void) const; // in ms
-            bool IsEnabled(void) const;
+  size_t SendSize(void) const;
+  uint16_t SendPeriod(void) const; // in ms
+  bool IsEnabled(void) const;
 
-        protected:
+protected:
+  /*!
+  * \brief Notify that SenData's datas have changed
+  *
+  * This method must be called when the datas have changed. \n
+  * Normally, it occurs when a curve is added to a plot for example. \n
+  * This method automatically blocks and unblocks the communication.
+  *
+  */
+  void SetSendSize(size_t value);
 
-            /*!
-            * \brief Notify that SenData's datas have changed
-            *
-            * This method must be called when the datas have changed. \n
-            * Normally, it occurs when a curve is added to a plot for example. \n
-            * This method automatically blocks and unblocks the communication.
-            *
-            */
-            void SetSendSize(size_t value);
+  /*!
+  * \brief Extra Xml event
+  *
+  * This method must be reimplemented to handle extra xml event. \n
+  * It is automatically called when something changed from
+  * ground station, through XmlEvent method. \n
+  */
+  virtual void ExtraXmlEvent(void) = 0;
 
-            /*!
-            * \brief Extra Xml event
-            *
-            * This method must be reimplemented to handle extra xml event. \n
-            * It is automatically called when something changed from
-            * ground station, through XmlEvent method. \n
-            */
-            virtual void ExtraXmlEvent(void)=0;
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget. \n
+  * This method handles period and enabled properties of the SendData. \n
+  * Then it calls ExtraXmlEvent to handle specific xml events of reimplemented
+  *class.
+  *
+  */
+  void XmlEvent(void);
 
-        private:
-            /*!
-            * \brief XmlEvent from ground station
-            *
-            * Reimplemented from Widget. \n
-            * This method handles period and enabled properties of the SendData. \n
-            * Then it calls ExtraXmlEvent to handle specific xml events of reimplemented class.
-            *
-            */
-            void XmlEvent(void);
+  void SetSendPeriod(uint16_t value);
+  void SetEnabled(bool value);
 
-            void SetSendPeriod(uint16_t value);
-            void SetEnabled(bool value);
-
-            class SendData_impl* pimpl_;
-    };
+  class SendData_impl *pimpl_;
+};
 
 } // end namespace core
Index: /trunk/include/FlairCore/SerialPort.h
===================================================================
--- /trunk/include/FlairCore/SerialPort.h	(revision 12)
+++ /trunk/include/FlairCore/SerialPort.h	(revision 13)
@@ -17,76 +17,71 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class SerialPort
-    *
-    * \brief Base class for serial port
-    */
-    class SerialPort: public Object
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a serial port.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            SerialPort(const Object* parent,std::string name): Object(parent,name)
-            {}
+namespace flair {
+namespace core {
+/*! \class SerialPort
+*
+* \brief Base class for serial port
+*/
+class SerialPort : public Object {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a serial port.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  SerialPort(const Object *parent, std::string name) : Object(parent, name) {}
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SerialPort(){};
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SerialPort(){};
 
-            /*!
-            * \brief Set baudrate
-            *
-            * \param baudrate baudrate
-            *
-            */
-            virtual void SetBaudrate(int baudrate)=0;
+  /*!
+  * \brief Set baudrate
+  *
+  * \param baudrate baudrate
+  *
+  */
+  virtual void SetBaudrate(int baudrate) = 0;
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting datas.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            virtual void SetRxTimeout(Time timeout_ns)=0;
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting datas.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  virtual void SetRxTimeout(Time timeout_ns) = 0;
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            virtual ssize_t Write(const void *buf,size_t nbyte)=0;
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  virtual ssize_t Write(const void *buf, size_t nbyte) = 0;
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            virtual ssize_t Read(void *buf,size_t nbyte)=0;
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  virtual ssize_t Read(void *buf, size_t nbyte) = 0;
 
-            /*!
-            * \brief Flush input datas
-            *
-            */
-            virtual void FlushInput(void)=0;
-
-    };
+  /*!
+  * \brief Flush input datas
+  *
+  */
+  virtual void FlushInput(void) = 0;
+};
 } // end namespace core
 } // end namespace framework
Index: /trunk/include/FlairCore/SharedMem.h
===================================================================
--- /trunk/include/FlairCore/SharedMem.h	(revision 12)
+++ /trunk/include/FlairCore/SharedMem.h	(revision 13)
@@ -19,56 +19,53 @@
 class SharedMem_impl;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class SharedMem
-    *
-    * \brief Class defining a shared memory
-    *
-    * Shared memory is identified by its name so it can be accessed
-    * by another processus using its name.
-    */
+/*! \class SharedMem
+*
+* \brief Class defining a shared memory
+*
+* Shared memory is identified by its name so it can be accessed
+* by another processus using its name.
+*/
 
-    class SharedMem: public Object
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a shared memory object
-            *
-            * \param parent parent
-            * \param name name
-            * \param size size of the shared memory
-            */
-            SharedMem(const Object* parent,std::string name,size_t size);
+class SharedMem : public Object {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a shared memory object
+  *
+  * \param parent parent
+  * \param name name
+  * \param size size of the shared memory
+  */
+  SharedMem(const Object *parent, std::string name, size_t size);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SharedMem();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SharedMem();
 
-            /*!
-            * \brief Write
-            *
-            * \param buf input buffer to write to memory
-            * \param size buffer size
-            */
-            void Write(const char* buf,size_t size);
+  /*!
+  * \brief Write
+  *
+  * \param buf input buffer to write to memory
+  * \param size buffer size
+  */
+  void Write(const char *buf, size_t size);
 
-            /*!
-            * \brief Read
-            *
-            * \param buf output buffer to write from memory
-            * \param size buffer size
-            */
-            void Read(char* buf,size_t size) const;
+  /*!
+  * \brief Read
+  *
+  * \param buf output buffer to write from memory
+  * \param size buffer size
+  */
+  void Read(char *buf, size_t size) const;
 
-        private:
-            SharedMem_impl* pimpl_;
-    };
+private:
+  SharedMem_impl *pimpl_;
+};
 
 } // end namespace core
Index: /trunk/include/FlairCore/Socket.h
===================================================================
--- /trunk/include/FlairCore/Socket.h	(revision 12)
+++ /trunk/include/FlairCore/Socket.h	(revision 13)
@@ -20,87 +20,89 @@
 class Socket_impl;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class Socket
-    *
-    * \brief Class encapsulating a UDP socket. It assumes packets are coming from only one distant host on a given port.
-    *
-    */
-    class Socket: public Object {
-    public:
-        /*!
-        * \brief Constructor
-        *
-        * Construct the client side of the socket
-        *
-        * \param parent parent
-        * \param name name
-        * \param address server address (ex 192.168.1.1:9000)
-        * \param broadcast true if address is a broadcast address
-        */
-        Socket(const Object* parent, std::string name,std::string address,bool broadcast=false);
+/*! \class Socket
+*
+* \brief Class encapsulating a UDP socket. It assumes packets are coming from
+*only one distant host on a given port.
+*
+*/
+class Socket : public Object {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct the client side of the socket
+  *
+  * \param parent parent
+  * \param name name
+  * \param address server address (ex 192.168.1.1:9000)
+  * \param broadcast true if address is a broadcast address
+  */
+  Socket(const Object *parent, std::string name, std::string address,
+         bool broadcast = false);
 
-        /*!
-        * \brief Constructor
-        *
-        * Construct the server side of the socket
-        *
-        * \param parent parent
-        * \param name name
-        * \param port listening port
-        */
-        Socket(const Object* parent, std::string name,uint16_t port);
+  /*!
+  * \brief Constructor
+  *
+  * Construct the server side of the socket
+  *
+  * \param parent parent
+  * \param name name
+  * \param port listening port
+  */
+  Socket(const Object *parent, std::string name, uint16_t port);
 
-        /*!
-        * \brief Destructor
-        *
-        */
-        ~Socket();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Socket();
 
-        /*!
-        * \brief Send a message
-        *
-        * In case of a broadcast Socket, Parent()->ObjectName() is used as source of the message, this name should be unique.
-        *
-        * \param message message
-        */
-        void SendMessage(std::string message);
+  /*!
+  * \brief Send a message
+  *
+  * In case of a broadcast Socket, Parent()->ObjectName() is used as source of
+  *the message, this name should be unique.
+  *
+  * \param message message
+  */
+  void SendMessage(std::string message);
 
-        /*!
-        * \brief Send a message
-        *
-        * \param message message
-        * \param message_len message length
-        */
-        void SendMessage(const char* message,size_t message_len);
+  /*!
+  * \brief Send a message
+  *
+  * \param message message
+  * \param message_len message length
+  */
+  void SendMessage(const char *message, size_t message_len);
 
-        /*!
-        * \brief Receive a message
-        *
-        * Receive a message and wait up to timeout. \n
-        * If src and src_len are specified, the source of the message will be
-        * copied in the src buffer. \n
-        * Note that in case of a broadcast socket, own messages are filtered and
-        * are not received.
-        *
-        * \param buf buffer to put the message
-        * \param buf_len buffer length
-        * \param timeout timeout
-        * \param src buffer to put source name
-        * \param src_len buffer length
-        *
-        * \return size of the received message
-        */
-        ssize_t RecvMessage(char* buf,size_t buf_len,Time timeout,char* src=NULL,size_t* src_len=NULL);
+  /*!
+  * \brief Receive a message
+  *
+  * Receive a message and wait up to timeout. \n
+  * If src and src_len are specified, the source of the message will be
+  * copied in the src buffer. \n
+  * Note that in case of a broadcast socket, own messages are filtered and
+  * are not received.
+  *
+  * \param buf buffer to put the message
+  * \param buf_len buffer length
+  * \param timeout timeout
+  * \param src buffer to put source name
+  * \param src_len buffer length
+  *
+  * \return size of the received message
+  */
+  ssize_t RecvMessage(char *buf, size_t buf_len, Time timeout, char *src = NULL,
+                      size_t *src_len = NULL);
 
-        void NetworkToHost(char *data,size_t dataSize);
-        void HostToNetwork(char *data,size_t dataSize);
+  void NetworkToHost(char *data, size_t dataSize);
+  void HostToNetwork(char *data, size_t dataSize);
 
-    private:
-       class Socket_impl* pimpl_;
-    };
+private:
+  class Socket_impl *pimpl_;
+};
 
 } // end namespace core
Index: /trunk/include/FlairCore/SpinBox.h
===================================================================
--- /trunk/include/FlairCore/SpinBox.h	(revision 12)
+++ /trunk/include/FlairCore/SpinBox.h	(revision 13)
@@ -16,73 +16,72 @@
 #include <Box.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class SpinBox
-    *
-    * \brief Class displaying a QSpinBox on the ground station
-    *
-    */
-    class SpinBox : public Box
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QSpinBox at given position. \n
-            * The QSpinBox is saturated to min and max values.
-            *
-            * \param position position to display the QSpinBox
-            * \param name name
-            * \param min minimum value
-            * \param max maximum value
-            * \param step step
-            * \param default_value default value if not in the xml config file
-            */
-            SpinBox(const LayoutPosition* position,std::string name,int min,int max,int step,int default_value=0);/*!
+/*! \class SpinBox
+*
+* \brief Class displaying a QSpinBox on the ground station
+*
+*/
+class SpinBox : public Box {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QSpinBox at given position. \n
+  * The QSpinBox is saturated to min and max values.
+  *
+  * \param position position to display the QSpinBox
+  * \param name name
+  * \param min minimum value
+  * \param max maximum value
+  * \param step step
+  * \param default_value default value if not in the xml config file
+  */
+  SpinBox(const LayoutPosition *position, std::string name, int min, int max,
+          int step, int default_value = 0); /*!
 
-            * \brief Constructor
-            *
-            * Construct a QSpinBox at given position. \n
-            * The QSpinBox is saturated to min and max values.
-            *
-            * \param position position to display the QSpinBox
-            * \param name name
-            * \param suffix suffix for the value (eg unit)
-            * \param min minimum value
-            * \param max maximum value
-            * \param step step
-            * \param default_value default value if not in the xml config file
-            */
-            SpinBox(const LayoutPosition* position,std::string name,std::string suffix,int min,int max,int step,int default_value=0);
+* \brief Constructor
+*
+* Construct a QSpinBox at given position. \n
+* The QSpinBox is saturated to min and max values.
+*
+* \param position position to display the QSpinBox
+* \param name name
+* \param suffix suffix for the value (eg unit)
+* \param min minimum value
+* \param max maximum value
+* \param step step
+* \param default_value default value if not in the xml config file
+*/
+  SpinBox(const LayoutPosition *position, std::string name, std::string suffix,
+          int min, int max, int step, int default_value = 0);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SpinBox();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SpinBox();
 
-           /*!
-            * \brief Value
-            *
-            * \return value
-            */
-            int Value(void) const;
+  /*!
+   * \brief Value
+   *
+   * \return value
+   */
+  int Value(void) const;
 
-        private:
-            /*!
-            * \brief XmlEvent from ground station
-            *
-            * Reimplemented from Widget.
-            *
-            */
-            void XmlEvent(void);
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget.
+  *
+  */
+  void XmlEvent(void);
 
-            int box_value;
-    };
+  int box_value;
+};
 
 } // end namespace gui
